# Blazor Pdf Reader PDF阅读器 组件  

![QQ截图20221218143438](https://user-images.githubusercontent.com/8428709/208301379-21e3b760-3f80-4941-9deb-1d34728ca2a5.jpg)

示例:

https://www.blazor.zone/PdfReaders

https://blazor.app1.es/pdfReaders

使用方法:

1.nuget包

```BootstrapBlazor.PdfReader```

2._Imports.razor 文件 或者页面添加 添加组件库引用

```@using BootstrapBlazor.Components```


3.razor页面
```
<PdfReader Filename="https://densen.es/test/webdev/pdf/sample.pdf" />
           
<PdfReader UrlBase="https://blazor.app1.es/"
           Filename="_content/DemoShared/sample.pdf" />

<pre>流化方式,可跨域</pre>
<PdfReader UrlBase="https://blazor.app1.es/"
           Filename="_content/DemoShared/sample.pdf" 
           StreamMode="true"/> 
```

4.参数说明 

** 7.1 移除pdfobject, 一些参数也被移除,请注意更改 **

|  参数   | 说明  | 默认值  | 旧版名称 |
|  ----  | ----  | ----  |  ----  | 
| Stream  | 用于渲染的文件流,为空则用URL参数读取文件 |  | PdfStream |
| Filename  | PDF文件URL | null | 
| StreamMode  | 使用流化模式,可跨域读取文件 | false | EnableStreamingMode |
| UrlBase  | PDF文件基础路径, (使用流化模式才需要设置),  https://xx.com |  | 
| Width  | 宽 单位(px|%) | 100% | 
| Height  | 高 单位(px|%) | 500px | 
| Page | 页码 | 1 |
| Navpanes | 显示导航窗格 | 1 |
| Toolbar | 显示工具栏 | 1 |
| Statusbar | 显示状态栏 | 1 |
| View | *视图模式 | FitV |
| Pagemode | *页面模式 | thumbs |
| Search | *查询字符串 | | 
| ForceIframe | 强制使用 Iframe | false |
| ForcePDFJS | 强制使用 PDF.js | false |
| ViewerBase | PDF.js 浏览器页面路径 | 内置 | PDFJS_URL |

| 移除参数 | 
| ----  | 
| Func<string, Task>? OnInfo | 
| Func<string, Task>? OnError | 
| ForceIframe | 
| ForcePDFJS | 

---
#### Blazor 组件

[条码扫描 ZXingBlazor](https://www.nuget.org/packages/ZXingBlazor#readme-body-tab)
[![nuget](https://img.shields.io/nuget/v/ZXingBlazor.svg?style=flat-square)](https://www.nuget.org/packages/ZXingBlazor) 
[![stats](https://img.shields.io/nuget/dt/ZXingBlazor.svg?style=flat-square)](https://www.nuget.org/stats/packages/ZXingBlazor?groupby=Version)

[图片浏览器 Viewer](https://www.nuget.org/packages/BootstrapBlazor.Viewer#readme-body-tab)
  
[条码扫描 BarcodeScanner](Densen.Component.Blazor/BarcodeScanner.md)
   
[手写签名 Handwritten](Densen.Component.Blazor/Handwritten.md)

[手写签名 SignaturePad](https://www.nuget.org/packages/BootstrapBlazor.SignaturePad#readme-body-tab)

[定位/持续定位 Geolocation](https://www.nuget.org/packages/BootstrapBlazor.Geolocation#readme-body-tab)

[屏幕键盘 OnScreenKeyboard](https://www.nuget.org/packages/BootstrapBlazor.OnScreenKeyboard#readme-body-tab)

[百度地图 BaiduMap](https://www.nuget.org/packages/BootstrapBlazor.BaiduMap#readme-body-tab)

[谷歌地图 GoogleMap](https://www.nuget.org/packages/BootstrapBlazor.Maps#readme-body-tab)

[蓝牙和打印 Bluetooth](https://www.nuget.org/packages/BootstrapBlazor.Bluetooth#readme-body-tab)

[PDF阅读器 PdfReader](https://www.nuget.org/packages/BootstrapBlazor.PdfReader#readme-body-tab)

[文件系统访问 FileSystem](https://www.nuget.org/packages/BootstrapBlazor.FileSystem#readme-body-tab)

[光学字符识别 OCR](https://www.nuget.org/packages/BootstrapBlazor.OCR#readme-body-tab)

[电池信息/网络信息 WebAPI](https://www.nuget.org/packages/BootstrapBlazor.WebAPI#readme-body-tab)

[视频播放器 VideoPlayer](https://www.nuget.org/packages/BootstrapBlazor.VideoPlayer#readme-body-tab)

#### AlexChow

[今日头条](https://www.toutiao.com/c/user/token/MS4wLjABAAAAGMBzlmgJx0rytwH08AEEY8F0wIVXB2soJXXdUP3ohAE/?) | [博客园](https://www.cnblogs.com/densen2014) | [知乎](https://www.zhihu.com/people/alex-chow-54) | [Gitee](https://gitee.com/densen2014) | [GitHub](https://github.com/densen2014)
